<div class="container m-4 p-4 d-flex flex-row justify-content-center">

    <div class="card w-75">
        <div class="card-header text-center">
            <h2>Formulaire Reactive Angular (Reactive Form)</h2>
        </div>
        <div class="card-body">
            <form [formGroup]="myGroup" (ngSubmit)="handleSubmit()">
                <h2>Coordonnées: </h2>
                <div class="row my-3">
                    <div class="form-group my-4 col-6">

                        <small *ngIf="!firstname.invalid"><i class="bi bi-check-circle text-success"></i></small><br>
                        <label for="firstname" class="label-control">Firstname:</label>
                        <input type="text" formControlName="firstname" class="form-control">
                        <div *ngIf="firstname.invalid && firstname.touched" class="text-danger">
                            <div *ngIf="firstname.errors">
                                Le firstname est requis
                            </div>
                        </div>
                    </div>
                    <div class="form-group my-4 col-6">
                        <small *ngIf="!lastname.invalid"><i class="bi bi-check-circle text-success"></i></small><br>
                        <label for="lastname" class="label-control">LastName:</label>
                        <input type="text" formControlName="lastname" class="form-control">
                        <div *ngIf="lastname.invalid && lastname.touched" class="text-danger">
                            <div *ngIf="lastname.errors">
                                Le Lastname est requis
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row my-3">
                    <div class="form-group my-4 col-6">
                        <small *ngIf="!email.invalid"><i class="bi bi-check-circle text-success"></i></small><br>
                        <label for="email" class="label-control">Email : </label>
                        <input type="text" formControlName="email" class="form-control">
                        <div *ngIf="email.invalid && email.touched" class="text-danger">
                            <div *ngIf="email.errors?.['required']"> l'email est requis</div>
                            <div *ngIf="email.errors?.['pattern']"> Le format doit être de type mail</div>
                        </div>

                    </div>
                    <div class="form-group my-4 col-6">
                        <small *ngIf="!password.invalid"><i class="bi bi-check-circle text-success"></i></small><br>
                        <label for="password" class="label-control">Password:</label>
                        <input type="password" formControlName="password" class="form-control">
                        <div *ngIf="password.invalid && password.touched">
                            <div *ngIf="password.errors?.['required']"> Le mot de passe est requis</div>
                            <div *ngIf="password.errors?.['pattern']">
                                <ul class="text-danger">
                                    <li>Longueur d'au moins 8 caractères</li>
                                    <li>1 lettre majuscule - 1 lettre minuscule</li>
                                    <li>1 caractère spécial - 1 chiffre</li>
                                </ul>
                            </div>
                        </div>

                    </div>
                </div>
                <div class="form-group mt-4">
                    <h2>Address : </h2>
                    <div class="row my-3">
                        <div class="col-6">
                            <small *ngIf="!street.invalid"><i class="bi bi-check-circle text-success"></i></small><br> <label for="street">Street: </label><br>
                            <input class="w-100" id="street" type="text" formControlName="street" class="form-control">
                            <div *ngIf="street.invalid && street.touched">
                                <div *ngIf="street.errors?.['required']" class="text-danger"> Le nom de la rue est requis</div>

                            </div>
                        </div>


                        <div class="col-6">
                            <small *ngIf="!city.invalid"><i class="bi bi-check-circle text-success"></i></small><br>
                            <label for="city">City: </label><br>
                            <input class="w-100" id="city" type="text" formControlName="city" class="form-control">
                            <div *ngIf="city.invalid && city.touched">
                                <div *ngIf="city.errors?.['required']" class="text-danger"> Le nom de ville est requis</div>

                            </div>
                        </div>
                    </div>

                    <div class="row my-3">
                        <div class="col-4">
                            <small *ngIf="!state.invalid"><i class="bi bi-check-circle text-success"></i></small><br>
                            <label for="state">State: </label>
                            <input class="w-100" id="state" type="text" formControlName="state" class="form-control">
                            <div *ngIf="state.invalid && state.touched">
                                <div *ngIf="state.errors?.['required']" class="text-danger"> La région est requise</div>

                            </div>
                        </div>

                        <div class="col-4">
                            <small *ngIf="!zip.invalid"><i class="bi bi-check-circle text-success"></i></small><br>
                            <label for="zip">Zip Code: </label>
                            <input class="w-100" id="zip" type="text" formControlName="zip" class="form-control">
                            <div *ngIf="(zip.invalid || zip.dirty) && zip.touched" class="text-danger">
                                <div *ngIf="zip.errors?.['required']" class="text-danger"> Le code postal est requis</div>
                                <div *ngIf="zip.errors?.['maxlength']" class="text-danger"> Le code postal doit être d'une longueur de 5 caractères</div>

                            </div>
                        </div>

                        <div class="col-4">
                            <small *ngIf="!tel.invalid"><i class="bi bi-check-circle text-success"></i></small><br>
                            <label for="tel">Téléphone: </label>
                            <input class="w-100" id="tel" type="text" formControlName="tel" class="form-control">
                            <div *ngIf="tel.invalid && tel.touched">
                                <div *ngIf="tel.errors?.['required']" class="text-danger"> Le numéro de téléphone est requis</div>
                                <div *ngIf="tel.errors?.['pattern']" class="text-danger">Le numéro de téléphone doit être sous format français</div>
                            </div>
                        </div>
                    </div>

                </div>
                <button class="btn btn-primary" [disabled]="!myGroup.valid">
          Validation
        </button>
            </form>
        </div>

    </div>
</div>